Bug 840503 - Explain why a RAID-0 of 8 EBS devices is important
Explain why a RAID-0 of 8 EBS devices is important
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
2.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Divya
Anush Shetty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 09:56 EDT by Niels de Vos
Modified: 2015-04-10 03:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-07-16 09:56:15 EDT
Chapter 16 tells to create 8 block devices and configure them as a RAID-0. It is marked as Important, but the explanation on why it's important is missing.
Comment 1 Divya 2012-08-05 22:23:38 EDT
Bala,

Niels has suggested us to add explanation on why it is important to create 8 block devices and configure them as RAID-0. Could you help us by providing an explanation for the same?

Thanks,
Divya
Comment 2 Bala.FA 2012-08-06 05:42:30 EDT
My reply,

Our benchmark on AWS environment shows that any single EBS volume doesn't give consistent I/O performance and its quite variable.  When using 8 EBS volumes on RAID-0 shows consistent I/O performance.  This is achieved by striping over 8 EBS volumes.  As I/O performance of each block device is important which directly affects glusterfs performance, having 8 EBS volumes on RAID-0 is required.
Comment 3 Divya 2012-10-17 03:26:56 EDT
Hi Niels, Bala,

I am planning to update the Important section as follows:

---
Important

Single EBS volume shows inconsistent I/O performance. Red Hat supported configuration is 8 Amazon EBS volumes of equal size on software RAID 0 (stripe) attached to a brick. You can create a brick ranging from 8 GB to 8 TB. If your environment uses 8 EBS volumes on software RAID 0 (stripe), the I/O performance is consistent. For example, if you create a brick of 128 GB, you must create 8 Amazon EBS volumes of size 16 GB each and then create RAID 0 (stripe).

---

Please let me know your comments.

Regards,
Divya
Comment 4 Bala.FA 2012-10-17 11:54:34 EDT
I would like

'''
Important

Single EBS volume shows inconsistent I/O performance. To overcome this, Red Hat supported configuration is 8 Amazon EBS volumes of equal size on software RAID 0 (stripe) attached to a brick to make consistent I/O performance. You can create a brick ranging from 8 GB to 8 TB. If your environment uses 8 EBS volumes on software RAID 0 (stripe), the I/O performance is consistent. For example, if you create a brick of 128 GB, you must create 8 Amazon EBS volumes of size 16 GB each and then create RAID 0 (stripe).
'''
Comment 5 Niels de Vos 2012-10-18 05:19:50 EDT
+1 to comment #4 from Bala.
Comment 6 Divya 2012-11-07 05:00:48 EST
Added explanation on why 8 EBS volumes is important and link to the updated guide: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-User_Guide-Provisioning_Storage.html

Note You need to log in before you can comment on or make changes to this bug.